<?php
/**
 *
 * Pagination Functions
 *
 * @package Omega Food Delivery
 */

/**
 * Pagination for archive.
 */
function omega_food_delivery_render_posts_pagination() {
    // Get the setting to check if pagination is enabled
    $omega_food_delivery_is_pagination_enabled = get_theme_mod( 'omega_food_delivery_enable_pagination', true );

    // Check if pagination is enabled
    if ( $omega_food_delivery_is_pagination_enabled ) {
        // Get the selected pagination type from the Customizer
        $omega_food_delivery_pagination_type = get_theme_mod( 'omega_food_delivery_theme_pagination_type', 'numeric' );

        // Check if the pagination type is "newer_older" (Previous/Next) or "numeric"
        if ( 'newer_older' === $omega_food_delivery_pagination_type ) :
            // Display "Newer/Older" pagination (Previous/Next navigation)
            the_posts_navigation(
                array(
                    'prev_text' => __( '&laquo; Newer', 'omega-food-delivery' ),  // Change the label for "previous"
                    'next_text' => __( 'Older &raquo;', 'omega-food-delivery' ),  // Change the label for "next"
                    'screen_reader_text' => __( 'Posts navigation', 'omega-food-delivery' ),
                )
            );
        else :
            // Display numeric pagination (Page numbers)
            the_posts_pagination(
                array(
                    'prev_text' => __( '&laquo; Previous', 'omega-food-delivery' ),
                    'next_text' => __( 'Next &raquo;', 'omega-food-delivery' ),
                    'type'      => 'list', // Display as <ul> <li> tags
                    'screen_reader_text' => __( 'Posts navigation', 'omega-food-delivery' ),
                )
            );
        endif;
    }
}
add_action( 'omega_food_delivery_posts_pagination', 'omega_food_delivery_render_posts_pagination', 10 );